/*
 * LALInspiralVCSInfo.h.in - LALInspiral VCS Information Header
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with with program; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Copyright (C) 2009-2011 Adam Mercer
 */

#ifndef _LALINSPIRALVCSINFO_H
#define _LALINSPIRALVCSINFO_H

#include <lal/LALVCSInfo.h>
#include <lal/LALInspiralConfig.h>

#ifdef __cplusplus
extern "C" {
#endif

/* vcs information defines */
#define LALINSPIRAL_VCS_NAME "LALInspiral"
#define LALINSPIRAL_VCS_ID "59afc8aa1135caac1bd5f2e190c86083d27edb51"
#define LALINSPIRAL_VCS_DATE "2012-01-06 16:18:39 +0000"
#define LALINSPIRAL_VCS_BRANCH "None"
#define LALINSPIRAL_VCS_TAG "lalinspiral-v1.2.2"
#define LALINSPIRAL_VCS_AUTHOR "Adam Mercer <adam.mercer@ligo.org>"
#define LALINSPIRAL_VCS_COMMITTER "Adam Mercer <adam.mercer@ligo.org>"
#define LALINSPIRAL_VCS_STATUS "CLEAN: All modifications committed"

/* vcs information defines - identable*/
#define LALINSPIRAL_VCS_IDENT_ID "$" "LALInspiralId: 59afc8aa1135caac1bd5f2e190c86083d27edb51 " "$"
#define LALINSPIRAL_VCS_IDENT_DATE "$" "LALInspiralDate: 2012-01-06 16:18:39 +0000 " "$"
#define LALINSPIRAL_VCS_IDENT_BRANCH "$" "LALInspiralBranch: None " "$"
#define LALINSPIRAL_VCS_IDENT_TAG "$" "LALInspiralTag: lalinspiral-v1.2.2 " "$"
#define LALINSPIRAL_VCS_IDENT_AUTHOR "$" "LALInspiralAuthor: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LALINSPIRAL_VCS_IDENT_COMMITTER "$" "LALInspiralCommitter: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LALINSPIRAL_VCS_IDENT_STATUS "$" "LALInspiralStatus: CLEAN: All modifications committed " "$"

/* vcs information structures */
extern struct tagLALVCSInfo lalInspiralVCSInfo;
static const struct tagLALVCSInfo lalInspiralHeaderVCSInfo = { \
  LALINSPIRAL_VCS_NAME, \
  LALINSPIRAL_VERSION, \
  LALINSPIRAL_VCS_ID, \
  LALINSPIRAL_VCS_DATE, \
  LALINSPIRAL_VCS_BRANCH, \
  LALINSPIRAL_VCS_TAG, \
  LALINSPIRAL_VCS_AUTHOR, \
  LALINSPIRAL_VCS_COMMITTER, \
  LALINSPIRAL_VCS_STATUS \
};

#ifdef __cplusplus
}
#endif

#endif /* _LALINSPIRALVCSINFO_H */

/*
 * vim: tw=0 ts=2 et
 */
